gettext: update to v0.21.1

Change-Id: I8adb577b5f867ab4dc7ea27cd6bdada15c6139f1
Reviewed-on: http://photon-jenkins.eng.vmware.com:8082/19142
Tested-by: gerrit-photon <photon-checkins@vmware.com>
Reviewed-by: Shreenidhi Shedi <sshedi@vmware.com>
This commit is contained in:
Ashwin Dayanand Kamat 2023-01-14 13:19:36 +00:00 committed by Shreenidhi Shedi
parent df81657008
commit 0e3d13925f
20 changed files with 67 additions and 166 deletions

View File

@ -1,7 +1,7 @@
Summary: Contains a parser generator
Name: bison
Version: 3.8.2
Release: 2%{?dist}
Release: 3%{?dist}
License: GPLv3+
URL: http://www.gnu.org/software/bison
Group: System Environment/Base
@ -48,6 +48,8 @@ make %{?_smp_mflags} check
%{_docdir}/bison/*
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 3.8.2-3
- Bump version as a part of gettext upgrade
* Wed Dec 21 2022 Shreenidhi Shedi <sshedi@vmware.com> 3.8.2-2
- Bump version as a part of readline upgrade
* Thu Sep 29 2022 Sharan Turlapati <sturlapati@vmware.com> 3.8.2-1

View File

@ -1,7 +1,7 @@
Summary: A system tool for maintaining the /etc/rc*.d hierarchy
Name: chkconfig
Version: 1.21
Release: 1%{?dist}
Release: 2%{?dist}
License: GPLv2
Vendor: VMware, Inc.
Distribution: Photon
@ -93,6 +93,8 @@ rm -rf %{buildroot}
%{_mandir}/*/ntsysv.8*
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 1.21-2
- Bump version as a part of gettext upgrade
* Fri Oct 28 2022 Gerrit Photon <photon-checkins@vmware.com> 1.21-1
- Automatic Version Bump
* Thu Jun 24 2021 Nitesh Kumar <kunitesh@vmware.com> 1.9-2

View File

@ -3,7 +3,7 @@
Summary: A utility for creating TTY dialog boxes
Name: dialog
Version: 1.3
Release: 7.20220728%{?dist}
Release: 8.20220728%{?dist}
License: LGPLv2
URL: http://invisible-island.net/dialog/dialog.html
Group: Applications/System
@ -83,6 +83,8 @@ rm -rf %{buildroot}%{_libdir}/.libs
%{_mandir}/man3/dialog.*
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 1.3-8.20220728
- Bump version as a part of gettext upgrade
* Mon Oct 10 2022 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 1.3-7.20220728
- Update to 20220728
* Sun Aug 07 2022 Shreenidhi Shedi <sshedi@vmware.com> 1.3-7.20220526

View File

@ -1,6 +1,6 @@
Name: dos2unix
Version: 7.4.3
Release: 1%{?dist}
Release: 2%{?dist}
License: BSD
Summary: Text file format converters
URL: https://waterlan.home.xs4all.nl/dos2unix.html
@ -51,6 +51,8 @@ rm -rf %{buildroot}
%{_mandir}/man1/*.1*
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 7.4.3-2
- Bump version as a part of gettext upgrade
* Mon Jul 11 2022 Gerrit Photon <photon-checkins@vmware.com> 7.4.3-1
- Automatic Version Bump
* Tue Dec 07 2021 Shreenidhi Shedi <sshedi@vmware.com> 7.4.2-2

View File

@ -4,7 +4,7 @@
Summary: A collection of utilities and DSOs to handle compiled objects
Name: elfutils
Version: 0.188
Release: 3%{?dist}
Release: 4%{?dist}
License: GPLv3+ and (GPLv2+ or LGPLv3+)
Group: Development/Tools
URL: https://sourceware.org/elfutils
@ -204,6 +204,8 @@ rm -rf %{buildroot}
%defattr(-,root,root)
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 0.188-4
- Bump version as a part of gettext upgrade
* Wed Jan 11 2023 Oliver Kurth <okurth@vmware.com> 0.188-3
- bump release as part of sqlite update
* Fri Jan 06 2023 Vamsi Krishna Brahmajosyula <vbrahmajosyula@vmware.com> 0.188-2

View File

@ -1,136 +0,0 @@
From dce3a16e5e9368245735e29bf498dcd5e3e474a4 Mon Sep 17 00:00:00 2001
From: Daiki Ueno <ueno@gnu.org>
Date: Thu, 15 Sep 2016 13:57:24 +0200
Subject: [PATCH] xgettext: Fix crash with *.po file input
When xgettext was given two *.po files with the same msgid_plural, it
crashed with double-free. Problem reported by Davlet Panech in:
http://lists.gnu.org/archive/html/bug-gettext/2016-09/msg00001.html
* gettext-tools/src/po-gram-gen.y: Don't free msgid_pluralform after
calling do_callback_message, assuming that it takes ownership.
* gettext-tools/src/read-catalog.c (default_add_message): Free
msgid_plural after calling message_alloc.
* gettext-tools/tests/xgettext-po-2: New file.
* gettext-tools/tests/Makefile.am (TESTS): Add new test.
---
gettext-tools/src/po-gram-gen.y | 13 ++++-----
gettext-tools/src/read-catalog.c | 2 ++
gettext-tools/tests/Makefile.am | 2 +-
gettext-tools/tests/xgettext-po-2 | 55 +++++++++++++++++++++++++++++++++++++++
4 files changed, 63 insertions(+), 9 deletions(-)
create mode 100755 gettext-tools/tests/xgettext-po-2
diff --git a/gettext-tools/src/po-gram-gen.y b/gettext-tools/src/po-gram-gen.y
index becf5e6..4428e77 100644
--- a/gettext-tools/src/po-gram-gen.y
+++ b/gettext-tools/src/po-gram-gen.y
@@ -221,14 +221,11 @@ message
check_obsolete ($1, $3);
check_obsolete ($1, $4);
if (!$1.obsolete || pass_obsolete_entries)
- {
- do_callback_message ($1.ctxt, string2, &$1.pos, $3.string,
- $4.rhs.msgstr, $4.rhs.msgstr_len, &$4.pos,
- $1.prev_ctxt,
- $1.prev_id, $1.prev_id_plural,
- $1.obsolete);
- free ($3.string);
- }
+ do_callback_message ($1.ctxt, string2, &$1.pos, $3.string,
+ $4.rhs.msgstr, $4.rhs.msgstr_len, &$4.pos,
+ $1.prev_ctxt,
+ $1.prev_id, $1.prev_id_plural,
+ $1.obsolete);
else
{
free_message_intro ($1);
diff --git a/gettext-tools/src/read-catalog.c b/gettext-tools/src/read-catalog.c
index 571d18e..6af6d20 100644
--- a/gettext-tools/src/read-catalog.c
+++ b/gettext-tools/src/read-catalog.c
@@ -397,6 +397,8 @@ default_add_message (default_catalog_reader_ty *this,
appropriate. */
mp = message_alloc (msgctxt, msgid, msgid_plural, msgstr, msgstr_len,
msgstr_pos);
+ if (msgid_plural != NULL)
+ free (msgid_plural);
mp->prev_msgctxt = prev_msgctxt;
mp->prev_msgid = prev_msgid;
mp->prev_msgid_plural = prev_msgid_plural;
diff --git a/gettext-tools/tests/Makefile.am b/gettext-tools/tests/Makefile.am
index 23b09b1..0dfb4d8 100644
--- a/gettext-tools/tests/Makefile.am
+++ b/gettext-tools/tests/Makefile.am
@@ -95,7 +95,7 @@ TESTS = gettext-1 gettext-2 gettext-3 gettext-4 gettext-5 gettext-6 gettext-7 \
xgettext-perl-1 xgettext-perl-2 xgettext-perl-3 xgettext-perl-4 \
xgettext-perl-5 xgettext-perl-6 xgettext-perl-7 xgettext-perl-8 \
xgettext-php-1 xgettext-php-2 xgettext-php-3 xgettext-php-4 \
- xgettext-po-1 \
+ xgettext-po-1 xgettext-po-2 \
xgettext-properties-1 \
xgettext-python-1 xgettext-python-2 xgettext-python-3 \
xgettext-python-4 \
diff --git a/gettext-tools/tests/xgettext-po-2 b/gettext-tools/tests/xgettext-po-2
new file mode 100755
index 0000000..c4bd9d0
--- /dev/null
+++ b/gettext-tools/tests/xgettext-po-2
@@ -0,0 +1,55 @@
+#! /bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test PO extractors with multiple input files.
+
+cat <<EOF > xg-po-2-1.po
+msgid "first msgid"
+msgid_plural "first msgid (plural)"
+msgstr[0] ""
+msgstr[1] ""
+
+msgid "second msgid"
+msgid_plural "second msgid (plural)"
+msgstr[0] ""
+msgstr[1] ""
+EOF
+
+cat <<EOF > xg-po-2-2.po
+msgid "third msgid"
+msgid_plural "third msgid (plural)"
+msgstr[0] ""
+msgstr[1] ""
+
+msgid "second msgid"
+msgid_plural "second msgid (plural)"
+msgstr[0] ""
+msgstr[1] ""
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header xg-po-2-1.po xg-po-2-2.po -o xg-po-2.tmp.po || Exit 1
+LC_ALL=C tr -d '\r' < xg-po-2.tmp.po > xg-po-2.po || Exit 1
+
+cat <<EOF > xg-po-2.ok
+msgid "first msgid"
+msgid_plural "first msgid (plural)"
+msgstr[0] ""
+msgstr[1] ""
+
+msgid "second msgid"
+msgid_plural "second msgid (plural)"
+msgstr[0] ""
+msgstr[1] ""
+
+msgid "third msgid"
+msgid_plural "third msgid (plural)"
+msgstr[0] ""
+msgstr[1] ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-po-2.ok xg-po-2.po
+result=$?
+
+exit $result
--
1.9.1

View File

@ -1,14 +1,14 @@
Summary: Utilities for internationalization and localization
Name: gettext
Version: 0.21
Release: 2%{?dist}
Version: 0.21.1
Release: 1%{?dist}
License: GPLv3
URL: http://www.gnu.org/software/gettext
Group: Applications/System
Vendor: VMware, Inc.
Distribution: Photon
Source0: http://ftp.gnu.org/gnu/gettext/%{name}-%{version}.tar.xz
%define sha1 gettext=9d75b47baed1a612c0120991c4b6d9cf95e0d430
%define sha512 gettext=61e93bc9876effd3ca1c4e64ff6ba5bd84b24951ec2cc6f40a0e3248410e60f887552f29ca1f70541fb5524f6a4e8191fed288713c3e280e18922dd5bff1a2c9
%description
These allow programs to be compiled with NLS
@ -16,16 +16,16 @@ These allow programs to be compiled with NLS
messages in the user's native language.
%prep
%setup -q
%autosetup -p1
%build
%configure \
--docdir=%{_defaultdocdir}/%{name}-%{version} \
--disable-silent-rules
make %{?_smp_mflags}
%make_build
%install
make DESTDIR=%{buildroot} install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete
rm -rf %{buildroot}/usr/share/doc/gettext-%{version}/examples
rm -rf %{buildroot}%{_infodir}
@ -53,6 +53,8 @@ make %{?_smp_mflags} check
%{_mandir}/*
%changelog
* Thu Jan 12 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 0.21.1-1
- Update to version 0.21.1
* Mon Nov 16 2020 Prashant S Chauhan <psinghchauha@vmware.com> 0.21-2
- Fix make check
* Wed Jul 08 2020 Gerrit Photon <photon-checkins@vmware.com> 0.21-1

View File

@ -1,7 +1,7 @@
Name: gobject-introspection
Summary: Introspection system for GObject-based libraries
Version: 1.74.0
Release: 4%{?dist}
Release: 5%{?dist}
Group: Development/Libraries
License: GPLv2+, LGPLv2+, MIT
URL: http://live.gnome.org/GObjectIntrospection
@ -107,6 +107,8 @@ rm -rf %{buildroot}
%doc %{_mandir}/man1/*.gz
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 1.74.0-5
- Bump version as a part of gettext upgrade
* Tue Dec 06 2022 Prashant S Chauhan <psinghchauha@vmware.com> 1.74.0-4
- Update release to compile with python 3.11
* Mon Nov 21 2022 Piyush Gupta <gpiyush@vmware.com> 1.74.0-3

View File

@ -1,7 +1,7 @@
Summary: GSSAPI NTLMSSP Mechanism
Name: gssntlmssp
Version: 1.1.0
Release: 4%{?dist}
Release: 5%{?dist}
Vendor: VMware, Inc.
Distribution: Photon
License: LGPLv3+
@ -95,6 +95,8 @@ rm -rf %{buildroot}/*
%{_includedir}/gssapi/gssapi_ntlmssp.h
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 1.1.0-5
- Bump version as a part of gettext upgrade
* Sun Nov 13 2022 Shreenidhi Shedi <sshedi@vmware.com> 1.1.0-4
- Bump version as a part of libtirpc upgrade
* Fri Oct 07 2022 Shreenidhi Shedi <sshedi@vmware.com> 1.1.0-3

View File

@ -3,7 +3,7 @@ Name: initscripts
Version: 10.17
License: GPLv2
Group: System Environment/Base
Release: 1%{?dist}
Release: 2%{?dist}
URL: https://github.com/fedora-sysv/initscripts
Source0: https://github.com/fedora-sysv/initscripts/archive/%{name}-%{version}.tar.gz
%define sha512 initscripts=6c99a7b52b5bc0ced1877a7b2a280b885778bb12e89dc0d606a5b5eda1aa87feecdea6c19803afab01953c9d352c409e59665914832f7107b6b3816d4740594c
@ -199,6 +199,8 @@ EOF
%{_prefix}/lib/systemd/system/readonly-root.service
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 10.17-2
- Bump version as a part of gettext upgrade
* Fri Oct 28 2022 Gerrit Photon <photon-checkins@vmware.com> 10.17-1
- Automatic Version Bump
* Mon Apr 18 2022 Gerrit Photon <photon-checkins@vmware.com> 10.16-1

View File

@ -2,7 +2,7 @@ Name: meson
Summary: Extremely fast and user friendly build system
Group: Development/Tools
Version: 1.0.0
Release: 1%{?dist}
Release: 2%{?dist}
License: ASL 2.0
URL: https://mesonbuild.com
Vendor: VMware, Inc.
@ -60,6 +60,8 @@ python3 ./run_tests.py
%{_datadir}/polkit-1/actions/com.mesonbuild.install.policy
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 1.0.0-2
- Bump version as a part of gettext upgrade
* Wed Jan 04 2023 Susant Sahani <ssahani@vmware.com> 1.0.0-1
- Update version
* Tue Dec 06 2022 Prashant S Chauhan <psinghchauha@vmware.com> 0.64.1-2

View File

@ -1,11 +1,11 @@
Name: mlocate
Version: 0.26
Release: 2%{?dist}
Release: 3%{?dist}
Summary: An utility for finding files by name.
License: GPL-2.0
URL: https://pagure.io/mlocate
Source0: http://releases.pagure.org/mlocate/%{name}-%{version}.tar.xz
%define sha1 %{name}=c6e6d81b25359c51c545f4b8ba0f3b469227fcbc
%define sha512 %{name}=b1207047e30a551cba39e70812439b554def567ebe9b8b81fed6f26435bb575beafe4875a21cd72876eadd85da4e7bfc942eb28b17c430b537c351690364837f
Vendor: VMware, Inc.
Distribution: Photon
Group: Applications/File
@ -21,20 +21,19 @@ system, which makes updatedb faster and does not trash the system caches as
much.
%prep
%setup -q -n %{name}-%{version}
%autosetup -p1 -n %{name}-%{version}
%build
%configure \
--localstatedir=%{_localstatedir}/lib \
--enable-nls \
--disable-rpath
make %{?_smp_mflags}
%make_build
%check
make check
make %{?_smp_mflags} check
%install
make DESTDIR=%{buildroot} install
%make_install DESTDIR=%{buildroot}
mv %{buildroot}/%{_bindir}/locate %{buildroot}/%{_bindir}/%{name}
mv %{buildroot}/%{_bindir}/updatedb %{buildroot}/%{_bindir}/updatedb.%{name}
mv %{buildroot}/%{_mandir}/man1/locate.1 %{buildroot}/%{_mandir}/man1/%{name}.1
@ -47,6 +46,8 @@ mv %{buildroot}/%{_mandir}/man1/locate.1 %{buildroot}/%{_mandir}/man1/%{name}.1
%{_localstatedir}/*
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 0.26-3
- Bump version as a part of gettext upgrade
* Thu Nov 15 2018 Sujay G <gsujay@vware.com> 0.26-2
- Added %check section
* Fri Jul 20 2018 Keerthana K <keerthanak@vmware.com> 0.26-1

View File

@ -1,7 +1,7 @@
Summary: Nmap (“Network Mapper”) is a utility for network discovery and security auditing
Name: nmap
Version: 7.93
Release: 2%{?dist}
Release: 3%{?dist}
License: Nmap
URL: http://nmap.org
Group: Networking
@ -88,6 +88,8 @@ rm -rf %{buildroot}%{_datadir}/man/ \
%{_bindir}/ncat
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 7.93-3
- Bump version as a part of gettext upgrade
* Thu Dec 22 2022 Guruswamy Basavaiah <bguruswamy@vmware.com> 7.93-2
- Bump release as a part of libgpg-error upgrade to 1.46
* Fri Nov 11 2022 Shreenidhi Shedi <sshedi@vmware.com> 7.93-1

View File

@ -12,7 +12,7 @@
Summary: PostgreSQL database engine
Name: postgresql12
Version: 12.12
Release: 8%{?dist}
Release: 9%{?dist}
License: PostgreSQL
URL: www.postgresql.org
Group: Applications/Databases
@ -638,6 +638,8 @@ rm -rf %{buildroot}/*
%{_pglibdir}/plpython3.so
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 12.12-9
- Bump version as a part of gettext upgrade
* Thu Jan 05 2023 Shreenidhi Shedi <sshedi@vmware.com> 12.12-8
- Use alternatives and allow parallel installation of pgsql
* Tue Dec 20 2022 Guruswamy Basavaiah <bguruswamy@vmware.com> 12.12-7

View File

@ -12,7 +12,7 @@
Summary: PostgreSQL database engine
Name: postgresql13
Version: 13.8
Release: 8%{?dist}
Release: 9%{?dist}
License: PostgreSQL
URL: www.postgresql.org
Group: Applications/Databases
@ -643,6 +643,8 @@ rm -rf %{buildroot}/*
%{_pglibdir}/plpython3.so
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 13.8-9
- Bump version as a part of gettext upgrade
* Thu Jan 05 2023 Shreenidhi Shedi <sshedi@vmware.com> 13.8-8
- Use alternatives and allow parallel installation of pgsql
* Tue Dec 20 2022 Guruswamy Basavaiah <bguruswamy@vmware.com> 13.8-7

View File

@ -12,7 +12,7 @@
Summary: PostgreSQL database engine
Name: postgresql14
Version: 14.5
Release: 8%{?dist}
Release: 9%{?dist}
License: PostgreSQL
URL: www.postgresql.org
Group: Applications/Databases
@ -664,6 +664,8 @@ rm -rf %{buildroot}/*
%{_pglibdir}/plpython3.so
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 14.5-9
- Bump version as a part of gettext upgrade
* Thu Jan 05 2023 Shreenidhi Shedi <sshedi@vmware.com> 14.5-8
- Use alternatives and allow parallel installation of pgsql
* Tue Dec 20 2022 Guruswamy Basavaiah <bguruswamy@vmware.com> 14.5-7

View File

@ -1,7 +1,7 @@
Summary: MIME database
Name: shared-mime-info
Version: 2.2
Release: 1%{?dist}
Release: 2%{?dist}
License: GPLv2+
URL: http://freedesktop.org
Group: Applications/Internet
@ -49,6 +49,8 @@ rm -rf %{buildroot}/*
%{_datadir}/*
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 2.2-2
- Bump version as a part of gettext upgrade
* Mon Aug 22 2022 Shivani Agarwal <shivania2@vmware.com> 2.2-1
- Upgrade to version 2.2
* Wed Jun 3 2015 Alexey Makhalov <amakhalov@vmware.com> 1.4-1

View File

@ -1,7 +1,7 @@
Name: systemd
URL: http://www.freedesktop.org/wiki/Software/systemd
Version: 252.4
Release: 5%{?dist}
Release: 6%{?dist}
License: LGPLv2+ and GPLv2+ and MIT
Summary: System and Service Manager
Group: System Environment/Security
@ -675,6 +675,8 @@ rm -rf %{_libdir}/%{name}/tests
%files lang -f ../%{name}.lang
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 252.4-6
- Bump version as a part of gettext upgrade
* Tue Jan 10 2023 Shreenidhi Shedi <sshedi@vmware.com> 252.4-5
- bump version as part of xz upgrade
* Fri Jan 06 2023 Vamsi Krishna Brahmajosyula <vbrahmajosyula@vmware.com> 252.4-4

View File

@ -1,6 +1,6 @@
Name: tuna
Version: 0.18
Release: 2%{?dist}
Release: 3%{?dist}
License: GPLv2
Summary: Application tuning command line utility
Group: Applications/System
@ -62,6 +62,8 @@ done
%{_datadir}/polkit-1/actions/org.tuna.policy
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 0.18-3
- Bump version as a part of gettext upgrade
* Fri Dec 02 2022 Prashant S Chauhan <psinghchauha@vmware.com> 0.18-2
- Update release to compile with python 3.11
* Mon Jul 11 2022 Gerrit Photon <photon-checkins@vmware.com> 0.18-1

View File

@ -1,7 +1,7 @@
Summary: Utilities for managing the XFS filesystem
Name: xfsprogs
Version: 6.0.0
Release: 1%{?dist}
Release: 2%{?dist}
License: GPL+ and LGPLv2+
URL: http://oss.sgi.com/projects/xfs
Group: System Environment/Base
@ -93,6 +93,8 @@ rm -rf %{buildroot}/*
%defattr(-,root,root)
%changelog
* Sat Jan 14 2023 Ashwin Dayanand Kamat <kashwindayan@vmware.com> 6.0.0-2
- Bump version as a part of gettext upgrade
* Fri Jan 06 2023 Oliver Kurth <okurth@vmware.com> 6.0.0-1
- update to 6.0.0
* Tue Dec 20 2022 Guruswamy Basavaiah <bguruswamy@vmware.com> 5.18.0-2